Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIDataTable.Properties

    java.lang.Object
      java.lang.Enum<UIDataTable.Properties>
          org.richfaces.component.UIDataTable.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIDataTable.Properties>

Enclosing class:
  UIDataTable

    protected static enum UIDataTable.Properties

extends Enum<UIDataTable.Properties>

Enum Constant Summary
`captionClass`
`columnClasses`
`filterVar`
`footerClass`
`headerClass`
`noDataLabel`
`onrowclick`
`onrowdblclick`
`onrowkeydown`
`onrowkeypress`
`onrowkeyup`
`onrowmousedown`
`onrowmousemove`
`onrowmouseout`
`onrowmouseover`
`onrowmouseup`
`rowClass`
`rowClasses`
`sortMode`
`sortPriority`
`style`
`styleClass`

Method Summary
`static UIDataTable.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIDataTable.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### captionClass

    public static final UIDataTable.Properties captionClass

### columnClasses

    public static final UIDataTable.Properties columnClasses

### filterVar

    public static final UIDataTable.Properties filterVar

### footerClass

    public static final UIDataTable.Properties footerClass

### headerClass

    public static final UIDataTable.Properties headerClass

### noDataLabel

    public static final UIDataTable.Properties noDataLabel

### onrowclick

    public static final UIDataTable.Properties onrowclick

### onrowdblclick

    public static final UIDataTable.Properties onrowdblclick

### onrowkeydown

    public static final UIDataTable.Properties onrowkeydown

### onrowkeypress

    public static final UIDataTable.Properties onrowkeypress

### onrowkeyup

    public static final UIDataTable.Properties onrowkeyup

### onrowmousedown

    public static final UIDataTable.Properties onrowmousedown

### onrowmousemove

    public static final UIDataTable.Properties onrowmousemove

### onrowmouseout

    public static final UIDataTable.Properties onrowmouseout

### onrowmouseover

    public static final UIDataTable.Properties onrowmouseover

### onrowmouseup

    public static final UIDataTable.Properties onrowmouseup

### rowClass

    public static final UIDataTable.Properties rowClass

### rowClasses

    public static final UIDataTable.Properties rowClasses

### sortMode

    public static final UIDataTable.Properties sortMode

### sortPriority

    public static final UIDataTable.Properties sortPriority

### style

    public static final UIDataTable.Properties style

### styleClass

    public static final UIDataTable.Properties styleClass

Method Detail

### values

    public static UIDataTable.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIDataTable.Properties c : UIDataTable.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIDataTable.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.